## fortunes-es 1.9

=== Makefile ===
########################################################################
#
#
#
########################################################################

PWD=$(shell pwd)

BASEINSTALLDIR=/usr/share/games/fortunes
#BASEINSTALLDIR=/usr/share/games/fortunes/es

#OFENSIVAS_INSTALLDIR=$(PWD)/debian/fortunes-es-off$(BASEINSTALLDIR)/../off

NORMAL_INSTALLDIR=$(PWD)/debian/tmp$(BASEINSTALLDIR)
DOC_DIR=$(PWD)/debian/tmp/usr/share/doc/fortunes-es
OFENSIVAS_INSTALLDIR=$(PWD)/debian/fortunes-es-off$(BASEINSTALLDIR)/off

#
OTHER_DOCS=LEAME.Debian LEAME.drizzt LEAME.fyp TODO
#

build:
	echo "No hay nada que compilar aqu"

install: deb-clean install-normales install-ofensivas

deb-clean:
	dh_clean

install-normales:
	( cd normales ; ../install_fortunes  $(NORMAL_INSTALLDIR)  )
	mkdir -p $(DOC_DIR)
	install -m 644 $(OTHER_DOCS) $(DOC_DIR)

install-ofensivas:
	( cd ofensivas ; ../install_fortunes  $(OFENSIVAS_INSTALLDIR)  )
#	( cd debian ; cp fortunes-es-off.preinst fortunes-es-off.preinst.debhelper)

clean: 
	dh_clean

packall: clean
	( cd .. ; rm fortunes-es.zip ; zip -r fortunes-es . )

=== debian/changelog ===
fortunes-es (1.9) unstable; urgency=low

  * Fixed lintian errors

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  8 Sep 2001 19:09:07 +0200

fortunes-es (1.8) unstable; urgency=low

  * Removed exampole files and added build-depends (Closes: #81339)
  * Changed Kafka's birth date (Closes: #89657)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 18 Mar 2001 19:06:25 +0100

fortunes-es (1.7) unstable; urgency=low

  * Added a TODO to the documentation
  * Added a missing section from "Frases y proverbios"
  * Minor additions

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 28 Feb 2000 11:48:05 +0100

fortunes-es (1.6-pre7) unstable; urgency=low

  * New section, offensive/machosno (a better name is wished)
  * Added mail from drizzt for some taglines added 
  * Added mail from 'fyp' 
    (Frases y proverbios, http://www.cantervill.com.ar/fyp)
  * Improved mechanism for doc link. Check for obsolete dirs.
  * Since all docs are currently in fortunes-es, fortunes-es-off now 
    depends on fortunes-es.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  9 Feb 2000 11:09:25 +0100

fortunes-es (1.6) unstable; urgency=low

  * Package rearranged. Some of the sources were merged
  * fortunes-es-off recommends fortunes-es
  * Added fortunes from http://www.cantervill.com.ar/fyp
  * Refer all documentation to fortunes-es package. link done

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  7 Feb 2000 14:02:55 +0100

fortunes-es (1.5a) unstable; urgency=low

  * fortunes-es-off: wrong destination. Fixed

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  3 Feb 2000 19:17:18 +0100
  

fortunes-es (1.5) unstable; urgency=low

  * New maintainer

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  3 Feb 2000 16:30:10 +0100

fortunes-es (1.4) unstable; urgency=low

  * fortunes-es-pic changed to fortunes-es-off

 -- Agustn Martn Domingo <agmartin@aq.upm.es>  Wed,  2 Feb 2000 14:44:57 +0100

fortunes-es (1.3) unstable; urgency=low

  * First line of header in english

 -- Agustn Martn Domingo <agmartin@aq.upm.es>  Wed,  2 Feb 2000 13:11:17 +0100

fortunes-es (1.2) unstable; urgency=low

  * Intentando separarlos para que no estn muy mezclados los
    polticamente correctos y los manifiestamente incorrectos.

     - fortunes-es: contiene los mayoritariamente legibles
     - fortunes-es-pic: contiene los abundantes en frases polticamente
       incorrectas.

 -- Agustn Martn Domingo <agmartin@aq.upm.es>  Thu, 27 Jan 2000 17:11:25 +0100

fortunes-es (1.1) unstable; urgency=low

  * Pasadas las cosas que vienen de la pgina de Urko Lusa a un
    directorio especial

 -- Agustn Martn Domingo <agmartin@aq.upm.es>  Thu, 20 Jan 2000 12:14:04 +0100

fortunes-es (1.0) unstable; urgency=low

  * Initial Release.

 -- Agustn Martn Domingo <agmartin@aq.upm.es>  Mon, 17 Jan 2000 12:56:52 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: fortunes-es
Section: games
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper, fortune-mod
Standards-Version: 3.1.0

Package: fortunes-es
Architecture: all
Depends: fortune-mod
Provides: fortune-cookie-db
Description: fortune database in spanish.
 A collection of spanish fortune cookies, from various sources.

Package: fortunes-es-off
Architecture: all
Depends: fortune-mod
Provides: fortune-cookie-db
Depends: fortunes-es
Replaces: fortunes-es-pic
Description: Spanish fortune cookies. Offensive section.
 A collection of mostly offensive spanish fortune cookies, from various sources.
 .
 DO NOT INSTALL this package unless you really want to read offensive fortunes.
 Package fortunes-es contains mainly non-offensife fortunes in spanish.
 .
 Coleccin de frasecitas ofensivas y de mal gusto de distintas fuentes.
 NO INSTALE este paquete salvo que est seguro de no sentirse ofendido.
 El paquete fortunes-es contiene en promedio citas ms 'correctas'.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

EXCLUDE_INCLUDE=-pfortunes-es -Nfortunes-es-off
# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	./docjoinlink fortunes-es-off fortunes-es

#	( cd debian/fortunes-es-off/usr/share/doc ; test -d fortunes-es-off && rm -rf fortunes-es-off )
#	install -d debian/fortunes-es-off/usr/share/doc 
#	ln -s fortunes-es debian/fortunes-es-off/usr/share/doc/fortunes-es-off

	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fortunes-es 1.18

=== datfiles/Makefile ===

COOKIES= amistad.fortunes arte.fortunes camioneros.fortunes-pre \
ciencia.fortunes deprimente.fortunes familia.fortunes \
filosofia.fortunes humanos.fortunes informatica.fortunes \
leydemurphy.fortunes libertad.fortunes pintadas.fortunes \
poder.fortunes proverbios.fortunes refranes.fortunes \
sabiduria.fortunes sentimientos.fortunes varios.fortunes \
varios.fortunes-pre verdad.fortunes vida.fortunes \
lao-tse.fortunes  nietzsche.fortunes  schopenhauer.fortunes

STRFILE=/usr/bin/strfile

.PHONY: all cookies o-cookies w-cookies install clean

all: cookies o-cookies w-cookies

cookies: cookies-stamp

o-cookies:
	if [ $(OFFENSIVE) = 1 ] ; then \
	    cd ofensivas && $(MAKE) OCOOKIEDIR=$(OCOOKIEDIR) ; fi

w-cookies:
	if [ $(WEB) = 1 ] ; then \
	    cd html && $(MAKE) WCOOKIEDIR=$(WCOOKIEDIR); fi

cookies-stamp:
	rm -f *.dat
	for i in $(COOKIES) ; do $(STRFILE) $$i || exit $? ; done
	touch cookies-stamp

cookies-utf8-stamp:
	touch cookies-utf8-stamp

install: cookies-stamp
	install -m 0755 -d $(COOKIEDIR)
	if [ $(OFFENSIVE) = 1 ] ; then cd ofensivas && $(MAKE) install ; fi
	if [ $(WEB) = 1 ] ; then cd html && $(MAKE) install ; fi
	for i in $(COOKIES) ; do \
		install -m 0644 $$i $$i.dat $(COOKIEDIR) || exit $? ; done

install-utf8: cookies-utf8-stamp
	install -m 0755 -d $(COOKIEDIR)
	if [ $(OFFENSIVE) = 1 ] ; then cd ofensivas && $(MAKE) install-utf8 ; fi
	if [ $(WEB) = 1 ] ; then cd html && $(MAKE) install ; fi
	for i in $(COOKIES) ; do \
		install -m 0644 $$i $(COOKIEDIR) || exit $? ;   \
		recode latin1..u8 $(COOKIEDIR)/$$i;  \
		ln -s $$i $(COOKIEDIR)/$$i.u8; \
		strfile -s $(COOKIEDIR)/$$i; \
		done

clean:
	rm -f cookies-stamp cookies-utf8-stamp *.dat
	cd ofensivas && $(MAKE) clean
	cd html && $(MAKE) clean

=== datfiles/ofensivas/Makefile ===

OCOOKIES_UNROTATED=machosno.fortunes misogino.fortunes varios.fortunes proverbios.fortunes

OCOOKIES_ROTATED=

OCOOKIES=$(OCOOKIES_UNROTATED) $(OCOOKIES_ROTATED)

STRFILE=/usr/bin/strfile
ROT=../../util/rot


all:	ocookies-stamp

ocookies-stamp:	rotated-stamp
	rm -f *.dat
	for i in $(OCOOKIES) ; do $(STRFILE) -x $$i || exit $$? ; done
	touch ocookies-stamp

ocookies-utf8-stamp:	rotated-utf8-stamp
	touch ocookies-utf8-stamp

rotated-stamp:
	for i in $(OCOOKIES_UNROTATED) ; \
	    do $(ROT) < unrotated/$$i > $$i || exit $$? ; done
	touch rotated-stamp

rotated-utf8-stamp: utf8-stamp
	for i in $(OCOOKIES_UNROTATED) ; \
	    do $(ROT) < unrotated/$$i.u8 > $$i || exit $$? ; done
	touch rotated-stamp

utf8-stamp: 
	for i in $(OCOOKIES_UNROTATED) ; \
	do cp unrotated/$$i unrotated/$$i.u8 ; \
	recode latin1..u8 unrotated/$$i.u8 ; \
	done
	touch utf8-stamp
	
install: ocookies-stamp
	install -m 0755 -d $(OCOOKIEDIR)
	for i in $(OCOOKIES) ; \
	    do install -m 0644 $$i $$i.dat $(OCOOKIEDIR) || exit $$? ; done

install-utf8: ocookies-utf8-stamp
	install -m 0755 -d $(OCOOKIEDIR)
	for i in $(OCOOKIES) ; \
	    do install -m 0644 $$i $(OCOOKIEDIR) || exit $$? ;  \
	    ln -s $$i $(OCOOKIEDIR)/$$i.u8 ; \
	    $(STRFILE) -x $(OCOOKIEDIR)/$$i;  \
	    done

clean:
	rm -f ocookies-stamp ocookies-utf8-stamp rotated-utf8-stamp \
	utf8-stamp rotated-stamp *.dat $(OCOOKIES_UNROTATED) unrotated/*.u8

=== debian/changelog ===
fortunes-es (1.18) unstable; urgency=low

  * Install fortunes with UTF-8 support including the encoding hints
    for the Debian binary (Closes: #232193, #237078)
  * Wrapped some of arte.fortunes lines to 76 characters, this is a very
  cumbersome/tiresome task and it should be automated. If anyone wants to do 
  it (and close bug 227345), be my guest.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 27 Jun 2004 13:21:07 +0200

fortunes-es (1.17) unstable; urgency=low

  * Changed Build-Depends to Build-Depends-Indep.
  * Removed full stops from description synopsis
  * Updated Standards-Version.
  * Clarified copyright text.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 23 Jan 2004 18:56:27 +0100

fortunes-es (1.16) unstable; urgency=low

  * Removed UTF-8 call in debian/rules as I though I had done with
  the previous version, but adding 'recode' to the Build-Depends to
  avoid FTBFS in future releases that do use UTF-8 (Closes: #214996)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 10 Oct 2003 16:19:47 +0200

fortunes-es (1.15) unstable; urgency=low

  * Removed spanish text from description of fortunes-es-off
  * Expanded extended description of fortunes-es (Closes: #209530)
  * Removed 'Papa' (Pope) from the cookies of Alfonso X (Spanish king)
  * Added fortune files for Nietzsche, Lao-Tse and Schopenhauer 
  after fixing some typos (begin question and exclamations marks missing)
  (Closes: #176174)
  * Removed useless debian/README file and merge spanish translations
  of the README.Debian into a single 'LEAME.Debian' file
  * Added code to add UTF-8 encoded cookies on installation, this is related
  to #213477 but notice that the bug resides in fortunes-mod. I'm not 
  enabling this, however, since it breaks offensive cookies
  * Added more old sayings (refranes.fortunes) from some web sources
  (gone from ~800 to over 5000)
  * Removed offensive fortune from proverbios.fortunes even if nobody
  reported this as a "bug"
  (see http://lists.debian.org/debian-devel-spanish/2003/debian-devel-spanish-200308/msg00061.html) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  5 Oct 2003 10:16:23 +0200

fortunes-es (1.14) unstable; urgency=low

  * Fixed a typo in a datfile (unreported bug sent by Xavier Delgado)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 18 Nov 2002 12:19:29 +0100

fortunes-es (1.13) unstable; urgency=low

  * Fixed vida.fortunes data file typo (Closes: #151425)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 14 Oct 2002 14:32:48 +0200

fortunes-es (1.12) unstable; urgency=low

  * Moved properly the files from tmp/ to fortunes-off/ (Closes: #149652)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jun 2002 13:08:00 +0200

fortunes-es (1.11) unstable; urgency=low

  * Changed from 'extra' priority to optional
  * Moved dh_installmanpages to dh_installman to avoid installing 
  conflicting manpages (Closes: #149419, #149514)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 10 Jun 2002 14:10:44 +0200

fortunes-es (1.10) unstable; urgency=low

  * Applied Amaya's patch (Closes: #146963)
  * Fixed description in control file (Closes: #124631, #124362)
  * Fixed Josteiin Gaard nationatily (CLoses:  #139454)
  * Canged the way the package compiles in order to resemble the
  fortune-mod package introducing also the caesar rotation for offensive
  fortunes (Closes: #146919)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  7 Jun 2002 09:51:26 +0200

=== debian/control ===
Source: fortunes-es
Section: games
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper, fortune-mod, recode
Standards-Version: 3.1.0

Package: fortunes-es
Architecture: all
Depends: fortune-mod
Provides: fortune-cookie-db
Description: Spanish fortune database 
 A collection of Spanish fortune cookies, taken from various sources
 including the 'chorrada' program (from FIDOnet) and the 
 'Frases y Proverbios' webpage.

Package: fortunes-es-off
Architecture: all
Depends: fortune-mod
Provides: fortune-cookie-db
Depends: fortunes-es
Replaces: fortunes-es-pic
Description: Spanish fortune cookies (Offensive section)
 A collection of mostly offensive Spanish fortune cookies, from various sources.
 .
 DO NOT INSTALL this package unless you really want to read offensive fortunes.
 Package fortunes-es contains mainly non-offensife fortunes in Spanish.

## fortunes-es 1.24

=== datfiles/ofensivas/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 
-OCOOKIES_UNROTATED=machosno.fortunes misogino.fortunes varios.fortunes proverbios.fortunes
+OCOOKIES_UNROTATED=machosno.fortunes misogino.fortunes varios.fortunes \
+	proverbios.fortunes camioneros.fortunes feministas.fortunes
 
 OCOOKIES_ROTATED=

=== debian/changelog ===
fortunes-es (1.24) unstable; urgency=low

  * Added feminist fortunes provided by Miriam Ruiz to the -off package

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 24 Apr 2005 01:52:04 +0200

fortunes-es (1.23) unstable; urgency=low

  * Moved three more fortunes reported by Miriam Ruiz to the offensive lists.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 21 Apr 2005 20:15:09 +0200

fortunes-es (1.22) unstable; urgency=low

  * Two more proverbs provided by Antonio Requejo.
  * Removed duplicated fortunes and created a script to detect those in the
    future.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 19 Apr 2005 13:06:50 +0200

fortunes-es (1.21) unstable; urgency=low

  * Yet more censorship: some racist cookies moved over to
    ofensivas/racistas.fortunes
  * Added quotes from Isaac Asimov (asimov.fortunes) extracted from online
    resources
  * Added some additional quotes recovered from online resources.
  * Added more TODO

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  2 Apr 2005 13:22:44 +0200

fortunes-es (1.20) unstable; urgency=low

  * Moved "offensive" women-related fortunes to the offensive package.
    Those against women have been moved to 'misogino.fortunes' and all
    the proverbs related to women (although not all of them are offensive,
    mind you) have been moved to refranes_mujeres. (Closes: #302572)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  2 Apr 2005 01:01:57 +0200

fortunes-es (1.19) unstable; urgency=low

  * Fortunes-es-off now Suggests: (instead of Depends:) fortunes-es
    (Closes: #285548)
  * Wrap all fortunes at 76 characters using 'par'. I've created three
    scripts for this: adjust-width.sh, protect-quote.pl and unprotect-quote.pl
    that automates the work. Doing this manually was a pain and I recently
    discovered 'par' ('fmt' wasn't fit for the job) (Closes: #227345)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 20 Mar 2005 02:03:08 +0100

## fortunes-es 1.25

=== debian/changelog ===
fortunes-es (1.25) unstable; urgency=low

  * Add some more proverbs.
  * Fix reported typos in lao-tse.fortunes reported by
    Jeremas Casteglione (Closes: #378050)
  * Add many (236) fortunes provided by Miguel Angel Vilchez Lopez as a new
    file 'modernas.fortunes' after converting them to the fortunes format.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 14 Sep 2006 23:20:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# $(MAKE) install prefix=`pwd`/debian/tmp
+	# Prepare UTF-8 encoded fortunes
+	$(MAKE) install-utf8 prefix=`pwd`/debian/tmp
 
 
 # Build architecture-independent files here.
@@ -47,17 +49,12 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installinit
 	dh_installcron
-	dh_installmanpages
+	dh_installman
 	dh_installinfo
-#	dh_undocumented
 	dh_installchangelogs 
 	dh_link
 	dh_strip
@@ -70,11 +67,8 @@
 #	install -d debian/fortunes-es-off/usr/share/doc 
 #	ln -s fortunes-es debian/fortunes-es-off/usr/share/doc/fortunes-es-off
 
-	# You may want to make some executables suid here.
-	dh_suidregister
-#	dh_makeshlibs
+	dh_movefiles
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## fortunes-es 1.26

=== datfiles/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 
-COOKIES= amistad.fortunes arte.fortunes camioneros.fortunes-pre \
+COOKIES= amistad.fortunes arte.fortunes \
 ciencia.fortunes deprimente.fortunes familia.fortunes \
 filosofia.fortunes humanos.fortunes informatica.fortunes \
 leydemurphy.fortunes libertad.fortunes pintadas.fortunes \
 poder.fortunes proverbios.fortunes refranes.fortunes \
 sabiduria.fortunes sentimientos.fortunes varios.fortunes \
 varios.fortunes-pre verdad.fortunes vida.fortunes \
-lao-tse.fortunes  nietzsche.fortunes  schopenhauer.fortunes
+lao-tse.fortunes  nietzsche.fortunes  schopenhauer.fortunes \
+asimov.fortunes
 
 STRFILE=/usr/bin/strfile

=== debian/changelog ===
fortunes-es (1.26) unstable; urgency=low

   * Move over an homophobic fortune to the offensives (Closes: #435336)
   * Add to the Makefile the missing offensives fortunes.
   * Use debhelper compatibility version 4.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 01 Aug 2007 21:07:57 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: fortune-mod
 Provides: fortune-cookie-db
-Depends: fortunes-es
+Suggests: fortunes-es
 Replaces: fortunes-es-pic
 Description: Spanish fortune cookies (Offensive section)
  A collection of mostly offensive Spanish fortune cookies, from various sources.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:
@@ -33,8 +30,6 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	# $(MAKE) install prefix=`pwd`/debian/tmp
 	# Prepare UTF-8 encoded fortunes
 	$(MAKE) install-utf8 prefix=`pwd`/debian/tmp
 
@@ -67,7 +62,8 @@
 #	install -d debian/fortunes-es-off/usr/share/doc 
 #	ln -s fortunes-es debian/fortunes-es-off/usr/share/doc/fortunes-es-off
 
-	dh_movefiles
+	dh_movefiles -pfortunes-es-off
+	dh_movefiles -pfortunes-es
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## fortunes-es 1.29

=== debian/changelog ===
fortunes-es (1.29) unstable; urgency=low

  [ Contributed by  Cyril Brulebois ]
  * Move debhelper from B-D-I to B-D, since it's needed for the clean target.
  * No longer ignore 'make clean' errors (by removing the dash).

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 04 Mar 2008 23:29:59 +0100

fortunes-es (1.28) unstable; urgency=low

  * Merge duplicate Depends lines on fortunes-es-off (Closes: #464264)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 01 Mar 2008 23:46:59 +0100

fortunes-es (1.27) unstable; urgency=low

  * Added some more computer-related quotes
  * Convert debian/copyright to UTF-8
  * Change the Suggests: of fortunes-es-off to a Depends: since it uses
    a symlink to fortunes-es (lintian error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 31 Dec 2007 01:41:46 +0100

## fortunes-es 1.30

=== debian/changelog ===
fortunes-es (1.30) unstable; urgency=low

  [ The "Paul Newman" release, in honor of the actor who passed away recently ]
  * Add a fortunes/famosos.fortunes file and add some quotes from Paul Newman
    in there.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 28 Sep 2008 17:13:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends-Indep: debhelper, fortune-mod, recode
+Build-Depends: debhelper
+Build-Depends-Indep: fortune-mod, recode
 Standards-Version: 3.1.0
 
 Package: fortunes-es
@@ -16,9 +17,8 @@
 
 Package: fortunes-es-off
 Architecture: all
-Depends: fortune-mod
+Depends: fortune-mod, fortunes-es
 Provides: fortune-cookie-db
-Suggests: fortunes-es
 Replaces: fortunes-es-pic
 Description: Spanish fortune cookies (Offensive section)
  A collection of mostly offensive Spanish fortune cookies, from various sources.

## fortunes-es 1.31

=== debian/changelog ===
fortunes-es (1.31) unstable; urgency=low

  [ The "Steve Jobs" release, in honor of the co-founder of Apple
  and Genius. Who passed away the 5th of October 2011 ]
  * Add famous Steve Jobs' quotes collected from the web and translated
    into Spanish to datfiles/famosos.fortunes
  * Use Debhelper compatibility version 5
  * Fix typos in debian/README.Debian
  * Change maintainer's email address
  * Remove Spanish content from debian/README.Debian as it is already
    in LEAME.Debian

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 07 Oct 2011 19:47:35 +0200

## fortunes-es 1.32

=== util/Makefile ===
# Note: this makefile should be called by the makefile in the parent
# directory, which will pass it a number of variables defined there.
# To make the files here properly, try make util-bin or make util-debug
# from there.  Install *only* works at the top level; do make install-util
# and make install-uman.  make clean will work properly if called in
# this directory.

all: strfile unstr rot

strfile: strfile.o
	$(CC) $(LDFLAGS) -o strfile strfile.o

unstr: unstr.o
	$(CC) $(LDFLAGS) -o unstr unstr.o

randstr: randstr.o
	$(CC) $(LDFLAGS) -o randstr randstr.o

rot: rot.o
	$(CC) -fsigned-char $(LDFLAGS) -o rot rot.o

clean:
	rm -f *.o unstr strfile randstr rot ansify

=== debian/changelog ===
fortunes-es (1.32) unstable; urgency=low

  * [ The "Dennis Ritchie release, in honor of the wizard, creator of the C
    programming language and UNIX. Who passed away the 12th of October 2011 ]
  * datfiles/informatica.fortunes: Add quotes from Dennis Ritchie collected
    from the web (wikipedia and interviews) and translated into Spanish

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 23 Oct 2011 19:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fortunes-es
 Section: games
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier FernÃ¡ndez-Sanguino PeÃ±a <jfs@debian.org>
 Build-Depends: debhelper
 Build-Depends-Indep: fortune-mod, recode
 Standards-Version: 3.1.0

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## fortunes-es 1.33

=== debian/changelog ===
fortunes-es (1.33) unstable; urgency=medium

  * debian/rules: Move to debhelper format, this fixes FTBFS as the 
     package now conforms to the proper Debian standards (Closes: #831971)
  * debian/control: 
     - Update standards version
     - Fix encoding of maintainer's name
     - Change dependency to debhelper 9
     - Fix typo in package description (Closes: #747644)
  * source/format: Create
  * debian/compat: Update to 9
  * debian/copyright: Use the new standard file format
  * debian/fortunes-es{,off}.install: 
     - Create so that the fortunes are now installed using dh_install instead
       of dh_movefiles
     - Move fortunes to the 'es' subdirectory so they are presented to users 
       that have 'es' as their LANG (Closes: #587188)

  * dattfiles/{several}: 
     - Update death years for some quote authors that passed away (Umberto
       Eco, Arthur Clarke...) basically searching for this regexp '(19..-)' and
       reviewing the Wikipedia articles
     - Added a few quotes

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 21 Jul 2016 12:13:57 +0200

## fortunes-es 1.34

=== debian/changelog ===
fortunes-es (1.34) unstable; urgency=medium

  * fortunes-es-off.preinst: Remove /usr/share/doc/fortunes-es-off if it exists and
    is a symlink (Closes: 838680)
  * fortunes-es/arte.fortunes: Added quotes from many magicians, including Juan
    Tamariz to conmemmorate the 74st birthday of the famous spanish magician.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 30 Oct 2016 00:55:00 +0200

## fortunes-es 1.35

=== datfiles/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 sabiduria.fortunes sentimientos.fortunes varios.fortunes \
 varios.fortunes-pre verdad.fortunes vida.fortunes \
 lao-tse.fortunes  nietzsche.fortunes  schopenhauer.fortunes \
-asimov.fortunes
+asimov.fortunes famosos.fortunes
 
 STRFILE=/usr/bin/strfile

=== datfiles/ofensivas/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 
 OCOOKIES_UNROTATED=machosno.fortunes misogino.fortunes varios.fortunes \
-	proverbios.fortunes camioneros.fortunes feministas.fortunes
+	proverbios.fortunes camioneros.fortunes feministas.fortunes \
+	homosexuales.fortunes   racistas.fortunes
+
 
 OCOOKIES_ROTATED=

=== debian/changelog ===
fortunes-es (1.35) unstable; urgency=medium

  * datfiles/ciencia.fortunes, sabiduria.fortunes: Add quotes of in memory of
    one of the most brilliant minds of our time: Stephen Hawking, who passed
    away yesterday, on Pi day. 
  * datfiles/sabiduria.fortunes: Correct quote assigned to Umberto Eco which
    actually corresponds to Raymond Smullyan (who was quoted in the 
    opening statements of Foucault's Pendulum) as I reported myself,
    and forgot (!), 4 yeas ago (Closes: #749486)
  * datfiles/ofensivas/varios.fortunes: Remove extra '%' in file 
    (Closes: #881495)
  * fortunes-es-off.preinst: Fix typo in variable name which prevented messag 
    from showing, with patch provided by Chris Lamb (Closes: #838719)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 15 Mar 2018 08:14:15 +0100

## fortunes-es 1.35+nmu1

=== Makefile ===
#
# Makefile for fortune-mod
# modified for use in fortune-es
#

# Where does the fortune program go?
FORTDIR=$(prefix)/usr/games
# Where do the data files (fortunes, or cookies) go?
COOKIEDIR=$(prefix)/usr/share/games/fortunes
# Offensive ones?
OCOOKIEDIR=$(COOKIEDIR)/off
# The ones with html tags?
WCOOKIEDIR=$(COOKIEDIR)/html
# Where do local data files go?
LOCALDIR=$(prefix)/usr/local/share/games/fortunes
# Offensive ones?
LOCALODIR=$(LOCALDIR)/off
# With HTML tags?
LOCALWDIR=$(LOCALDIR)/html
# Where do strfile and unstr go?
BINDIR=$(prefix)/usr/bin
# What is the proper mode for strfile and unstr? 755= everyone, 700= root only
BINMODE=0755
#BINMODE=0700
# Where do the man pages for strfile and unstr go?
BINMANDIR=$(prefix)/usr/share/man/man1
# What is their proper extension?
BINMANEXT=1
# And the same for the fortune man page
FORTMANDIR=$(prefix)/usr/share/man/man6
FORTMANEXT=6
# Do we want to install the offensive files? (0 no, 1 yes)
OFFENSIVE=1
# Do we want to install files with html tags? (0 no, 1 yes)
# (Note: These files are not yet available)
WEB=0

# Only ANSI-compatible C compilers are currently supported
CC=gcc
DEFINES=-DFORTDIR="\"$(COOKIEDIR)\"" -DOFFDIR="\"$(OCOOKIEDIR)\"" -DLOCFORTDIR="\"$(LOCALDIR)\"" -DLOCOFFDIR="\"$(LOCALODIR)\""
CFLAGS=-O2 $(DEFINES) -Wall -fomit-frame-pointer -pipe -fsigned-char
LDFLAGS=-s



# to get a list of the possible targets, try 'make help'

# All targets are available at the top level, which exports the
# variables to sub-makes.  Avoid makes in subdirectories; cd .. and
# make <target> instead.

# ----------------------------------------
# Nothing below this line should have to be changed

SUBDIRS=datfiles util

.PHONY: all randstr rot cookies cookies-z install  \
	clean love help

# By default, compile optimized versions
all: util-bin cookies-z


util-bin:
	cd util && $(MAKE) CC='$(CC)' CFLAGS='$(CFLAGS)'	\
		    LDFLAGS='$(LDFLAGS)' randstr rot

cookies:
	@echo "Try the kitchen, silly!" ; sleep 3
	@echo "Sorry, just joking."
	$(MAKE) cookies-z

cookies-z: util-bin
	cd datfiles && $(MAKE) COOKIEDIR=$(COOKIEDIR) \
		    OCOOKIEDIR=$(OCOOKIEDIR) WCOOKIEDIR=$(WCOOKIEDIR) \
		    OFFENSIVE=$(OFFENSIVE) WEB=$(WEB)

# Install everything
install: install-cookie
install-utf8: install-utf8-cookie


# Install the fortune cookie files
install-cookie: cookies-z
	cd datfiles && $(MAKE) COOKIEDIR=$(COOKIEDIR) \
		    OCOOKIEDIR=$(OCOOKIEDIR) WCOOKIEDIR=$(WCOOKIEDIR) \
		    OFFENSIVE=$(OFFENSIVE) WEB=$(WEB) install

install-utf8-cookie: cookies-z
	cd datfiles && $(MAKE) COOKIEDIR=$(COOKIEDIR) \
		    OCOOKIEDIR=$(OCOOKIEDIR) WCOOKIEDIR=$(WCOOKIEDIR) \
		    OFFENSIVE=$(OFFENSIVE) WEB=$(WEB) install-utf8

clean:
	for i in $(SUBDIRS) ; do (cd $$i && $(MAKE) clean); done

love:
	@echo "Not war?" ; sleep 3
	@echo "Look, I'm not equipped for that, okay?" ; sleep 2
	@echo "Contact your hardware vendor for appropriate mods."

help:
	@echo "Targets:"
	@echo
	@echo "all:	make all the binaries and data files (the default target)"
	@echo "clean:	Remove object files and binaries"
	@echo 
	@echo "help:	This screen"
	@echo
	@echo "love:	What a *good* idea!  Let's!"

=== debian/changelog ===
fortunes-es (1.35+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:30:23 +0800

## fortunes-es 1.36

=== datfiles/ofensivas/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 OCOOKIES_UNROTATED=machosno.fortunes misogino.fortunes varios.fortunes \
-	proverbios.fortunes camioneros.fortunes feministas.fortunes \
+	proverbios.fortunes camioneros.fortunes hembrismo.fortunes \
 	homosexuales.fortunes   racistas.fortunes

=== debian/changelog ===
fortunes-es (1.36) unstable; urgency=medium

  * Use debhelper compatibility version 13 
  * Rename datfiles/ofensivas/unrotated/feministas.fortunes to
    "hembrismo.fortunes" (Closes: #900646)
  * Fix datfiles/famosos.fortunes as proposed by 
    Adrián Croce (it was using DOS line endings instead of UNIX).
    Additionally also translate one cookie from Steve Jobs into Spanish as it
    was in English. (Closes: #966290)
  * debian/README.Debian, debian/LEEME.Debian: convert from ISO-8859-1 to
    UTF-8

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 15 Aug 2020 01:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: fortunes-es
 Section: games
 Priority: optional
-Maintainer: Javier FernÃ¡ndez-Sanguino PeÃ±a <jfs@debian.org>
-Build-Depends: debhelper
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Build-Depends: debhelper  (>=9)
 Build-Depends-Indep: fortune-mod, recode
-Standards-Version: 3.1.0
+Standards-Version: 3.9.8
 
 Package: fortunes-es
 Architecture: all
@@ -24,4 +24,4 @@
  A collection of mostly offensive Spanish fortune cookies, from various sources.
  .
  DO NOT INSTALL this package unless you really want to read offensive fortunes.
- Package fortunes-es contains mainly non-offensife fortunes in Spanish.
+ Package fortunes-es contains mainly non-offensive fortunes in Spanish.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install -- install-utf8 prefix=`pwd`/debian/tmp


# TODO (from previous rules):
#	./docjoinlink fortunes-es-off fortunes-es
#	( cd debian/fortunes-es-off/usr/share/doc ; test -d fortunes-es-off && rm -rf fortunes-es-off )
#	install -d debian/fortunes-es-off/usr/share/doc 
#	ln -s fortunes-es debian/fortunes-es-off/usr/share/doc/fortunes-es-off

## fortunes-es 1.36ubuntu1

=== debian/changelog ===
fortunes-es (1.36ubuntu1) lunar; urgency=medium

  * Stop building the fortunes-es-off binary package.  The contents are 
    inconsistent with Ubuntu values, and making them "opt-in" does not
    change this.  LP: #1996682.
  * Fix debian/rules to stop double shipping of the offensive fortunes files
    in the fortunes-es binary package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Nov 2022 16:32:20 +0000

=== debian/control ===
Source: fortunes-es
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper  (>=9)
Build-Depends-Indep: fortune-mod, recode
Standards-Version: 3.9.8

Package: fortunes-es
Architecture: all
Depends: fortune-mod
Provides: fortune-cookie-db
Description: Spanish fortune database 
 A collection of Spanish fortune cookies, taken from various sources
 including the 'chorrada' program (from FIDOnet) and the 
 'Frases y Proverbios' webpage.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- install-utf8 prefix=`pwd`/debian/tmp
+	rm -rf `pwd`/debian/tmp/usr/share/games/fortunes/es/off \
+	       `pwd`/debian/tmp/usr/share/games/fortunes/off
 
 
 # TODO (from previous rules):

## fortunes-es 1.36+nmu1

=== debian/changelog ===
fortunes-es (1.36+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS: rot.c:23:5: error: implicit declaration of function
    ‘exit’ (Closes: #1077423).
  * debian/control:
    - Use versioned debhelper prerequisite.
    - Add debhelper misc:depends where needed.
    - Bump Standards-Version.
    - Add "Rules-Requires-Root: no"
  * debian/copyright:
    - Fix my email.
    - Add missing continuation dots.
    - Reorganize for clarity.
  * debian/fortunes-es-off.preinst: Use explicit "set -e".

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 26 Jan 2025 21:56:32 +0100

=== debian/control ===
Source: fortunes-es
Section: games
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (=13)
Build-Depends-Indep: fortune-mod, recode
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: fortunes-es
Architecture: all
Depends: ${misc:Depends},
	 fortune-mod
Provides: fortune-cookie-db
Description: Spanish fortune database
 A collection of Spanish fortune cookies, taken from various sources
 including the 'chorrada' program (from FIDOnet) and the
 'Frases y Proverbios' webpage.

Package: fortunes-es-off
Architecture: all
Depends: ${misc:Depends},
	 fortune-mod,
	 fortunes-es
Provides: fortune-cookie-db
Replaces: fortunes-es-pic
Description: Spanish fortune cookies (Offensive section)
 A collection of mostly offensive Spanish fortune cookies, from various sources.
 .
 DO NOT INSTALL this package unless you really want to read offensive fortunes.
 Package fortunes-es contains mainly non-offensive fortunes in Spanish.

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,14 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- install-utf8 prefix=`pwd`/debian/tmp
-	rm -rf `pwd`/debian/tmp/usr/share/games/fortunes/es/off \
-	       `pwd`/debian/tmp/usr/share/games/fortunes/off
 
 
 # TODO (from previous rules):
 #	./docjoinlink fortunes-es-off fortunes-es
 #	( cd debian/fortunes-es-off/usr/share/doc ; test -d fortunes-es-off && rm -rf fortunes-es-off )
-#	install -d debian/fortunes-es-off/usr/share/doc 
+#	install -d debian/fortunes-es-off/usr/share/doc
 #	ln -s fortunes-es debian/fortunes-es-off/usr/share/doc/fortunes-es-off
